com.google.web.bindery.requestfactory.apt

## Class TypeComparator

- java.lang.Object
- - com.google.web.bindery.requestfactory.apt.TypeComparator

All Implemented Interfaces:
  java.util.Comparator<javax.lang.model.element.TypeElement>

    class TypeComparator
    extends java.lang.Object
    implements java.util.Comparator<javax.lang.model.element.TypeElement>

Orders TypeElements by assignability, with most-derived types ordered first, and then by name.

### Constructor Summary

Constructors
Constructor and Description
`TypeComparator(State state)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(javax.lang.model.element.TypeElement a, javax.lang.model.element.TypeElement b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### TypeComparator

    public TypeComparator(State state)

### Method Detail

#### compare

    public int compare(javax.lang.model.element.TypeElement a,
                       javax.lang.model.element.TypeElement b)

Specified by:
  `compare` in interface `java.util.Comparator<javax.lang.model.element.TypeElement>`